Skip to main content
GET
Get all Conversations

Authorizations

Authorization
string
header
required

Basic authentication using base64 encoded API key and secret. Format: Authorization: Basic <base64(api_key:api_secret)>

Query Parameters

page
integer
default:1

Page number (defaults to 1)

Required range: x >= 1
page_size
integer
default:30

Number of items per page (defaults to 30, max 500)

Required range: 1 <= x <= 500
order
enum<string>

Sort direction (case-insensitive). Defaults to desc.

Available options:
asc,
desc
order_by
enum<string>
default:conversations.last_message_at

Field to sort by, as model.field. Defaults to conversations.last_message_at.

Available options:
conversations.status_id,
conversations.priority_id,
conversations.assigned_team_id,
conversations.assigned_user_id,
conversations.inbox_id,
conversations.last_message_at,
conversations.last_interaction_at,
conversations.last_interaction_sender,
conversations.created_at,
conversations.waiting_since,
conversations.next_sla_deadline_at,
conversations.snoozed_until,
conversations.sla_policy_id,
conversation_statuses.id,
conversation_statuses.name,
users.email,
users.external_user_id,
inboxes.channel
filters
string

JSON-encoded filter. Either an array of conditions that are AND-ed, e.g. [{"model":"conversations","field":"status_id","operator":"equals","value":"1"}], or a group {"logic":"AND","rules":[...]} with at most one level of nested groups. Operators: equals, not equals, greater than, less than, set, not set, in, between, contains, ilike, not contains. Filterable fields: conversations (status_id, priority_id, assigned_team_id, assigned_user_id, inbox_id, last_message_at, last_interaction_at, last_interaction_sender, created_at, waiting_since, next_sla_deadline_at, snoozed_until, sla_policy_id, tags), conversation_statuses (id, name), users (email, external_user_id), inboxes (channel).

Response

All conversations retrieved successfully

status
string
Example:

"success"

data
object